""" Addon Information """
# ------------
# EventScripts Script-Addon:    - BackRaw's TechnoPlayer (BTP, btp.py, 3.7kb)
# Author:                       - BackRaw - http://forums.eventscripts.com/profile.php?mode=viewprofile&u=13683
#                                           http://addons.eventscripts.com/addons/user/13683
# Version:                      - 1.0
# ------------

""" Imports """
# ------------
# EventScripts Core-Module            - ES functionality
import es
# Gamethread                          - Delayed functions
from gamethread import delayed
# Popuplib                            - Popup menus
from popuplib import create as popup
# Usermsg                             - MOTD URL-Streaming
from usermsg import motd
# ------------

""" Global Variables """
prefix = '#green[#lightgreenRadio#green]#default'

""" Menu-Handler """
# ------------
# Stream the specified radio or stop streaming
# ------------
def menuSelect(userid, choice, popupid):
    if choice not in [6, 7, 8, 10]:
        url = text = 0
        if choice == 1:
            url = 'www.technobase.fm/wmplayer.php?Stream=DSL.TechnoBase.eu/listen.asx'
            text = 'Technobase'
        elif choice == 2:
            url = 'www.housetime.fm/wmplayer.php?Stream=low.HouseTime.FM/listen.asx'
            text = 'Housetime'
        elif choice == 3:
            url = 'www.hardbase.fm/wmplayer.php?Stream=mp3.hardbase.fm/listen.asx'
            text = 'Hardbase'
        elif choice == 4:
            url = 'www.trancebase.fm/wmplayer.php?Stream=aacplus.TranceBase.fm/listen.asx'
            text = 'Tracebase'
        elif choice == 5:
            url = 'www.coretime.fm/wmplayer.php?Stream=aacplus.CoreTime.FM/listen.asx'
            text = 'Coretime'
        elif choice == 9:
            url = 'www.weareone.fm/'
            text = 'No Radio'
        es.tell(userid, '#multi', prefix, 'You chose #green%s%s' % (text, '.fm' if choice != 9 else ''))
        motd(userid, 2, text + '.fm', url, False)

""" Say-Filter """
# ------------
# If the text was "!radio", eat the typed text and send the menu
# ------------
def sayFilter(userid, text, teamonly):
    if text.strip('"') == '!radio':
        menu.send(userid)
        return (None, None, None)
    return (userid, text, teamonly)

""" Events """
# ------------
# Tell the player that activated the say-command
# ------------
def player_activate(ev):
    delayed(9, es.tell, (ev['userid'], '#multi', prefix, 'Welcome #lightgreen%s#default! Type #lightgreen!radio #defaultto bring up the radio menu!' % ev['es_username']))

# ------------
# Tell every players the say-command
# ------------
def round_start(ev):
    es.msg('#multi', prefix, 'Type #lightgreen!radio #defaultto bring up the radio menu!')

""" EventScripts Main-Control functions """
# ------------
# Set the public variable, register the say-filter and create the popup menu
# ------------
def load():
    global menu
    es.ServerVar('btp_ver', '1.0').makepublic()
    es.addons.registerSayFilter(sayFilter)
    menu = popup('weareone_menu')
    menu.addline(" -> BackRaw's TechnoPlayer <-")
    menu.addline(' ')
    menu.addline('-------------------------')
    menu.addline('->1. Technobase.fm')
    menu.addline('->2. Housetime.fm')
    menu.addline('->3. Hardbase.fm')
    menu.addline('->4. Trancebase.fm')
    menu.addline('->5. Coretime.fm')
    menu.addline('-------------------------')
    menu.addline(' ')
    menu.addline('->9. Stop Streaming')
    menu.addline('0. Close')
    menu.menuselect = menuSelect

# ------------
# Un-register the say-filter and delete the menu
# ------------
def unload():
    es.addons.unregisterSayFilter(sayFilter)
    menu.delete()

""" End Code """
